import { ApiProperty, IntersectionType, PartialType } from '@nestjs/swagger';
import {
  IsArray,
  IsDate,
  IsDateString,
  IsIn,
  IsInt,
  IsNumber,
  IsOptional,
  IsString,
  Matches,
  MinLength
} from 'class-validator';
import { PagerDto } from '~/common/dto/pager.dto';
import { Storage } from '~/modules/tools/storage/storage.entity';

export class MaterialsInOutDto {
  @ApiProperty({ description: '附件' })
  files: Storage[];
}

export class MaterialsInOutUpdateDto extends PartialType(MaterialsInOutDto) {
  @ApiProperty({ description: '附件' })
  @IsOptional()
  @IsArray()
  fileIds: number[];
}
export class MaterialsInOutQueryDto extends IntersectionType(
  PagerDto<MaterialsInOutDto>,
  PartialType(MaterialsInOutDto)
) {}
